class KIcon

# class KIcon | One icon as found by KIconTheme. More...
Definition | `#include <kicontheme.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Context { Any, Action, Application, Device, FileSystem, MimeType }
- enum Type { Fixed, Scalable, Threshold }
- enum MatchType { MatchExact, MatchBest }
- enum Group { NoGroup=-1, Desktop=0, FirstGroup=Desktop, Toolbar, MainToolbar, Small, Panel, LastGroup, User }
- enum StdSizes { SizeSmall=16, SizeMedium=32, SizeLarge=48 }
- enum States { DefaultState, ActiveState, DisabledState, LastState }
- enum Overlays { LockOverlay=0x100, ZipOverlay=0x200, LinkOverlay=0x400, HiddenOverlay=0x800, ShareOverlay=0x1000, OverlayMask = ~0xff }

#### Public Methods

- KIcon ()
- bool isValid () const

#### Public Members

- int size
- Context context
- Type type
- int threshold
- QString path

## Detailed Description

One icon as found by KIconTheme. Also serves as a namespace containing icon related constants.

See also: KIconEffect, KIconTheme, KIconLoader

KIcon () | ### KIcon

bool isValid () | ### isValid

[const]

Return true if this icon is valid, false otherwise.

enum Context { Any, Action, Application, Device, FileSystem, MimeType } | ### Context

Defines the context of the icon.

enum Type { Fixed, Scalable, Threshold } | ### Type

The type of the icon.

enum MatchType { MatchExact, MatchBest } | ### MatchType

The type of a match.

enum Group { NoGroup=-1, Desktop=0, FirstGroup=Desktop, Toolbar, MainToolbar, Small, Panel, LastGroup, User } | ### Group

The group an an icon.

enum StdSizes { SizeSmall=16, SizeMedium=32, SizeLarge=48 } | ### StdSizes

These are the standard sizes for icons.

enum States { DefaultState, ActiveState, DisabledState, LastState } | ### States

Defines the possible states of an icon.

enum Overlays { LockOverlay=0x100, ZipOverlay=0x200, LinkOverlay=0x400, HiddenOverlay=0x800, ShareOverlay=0x1000, OverlayMask = ~0xff } | ### Overlays

This defines an overlay, a semi-transparent image that is projected onto the icon. They are used to show that the file represented by the icon is, for example, locked, zipped or hidden.

int size | ### size

Context context | ### context

Type type | ### type

int threshold | ### threshold

QString path | ### path

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:15 2003, using kdoc 2.0a54.